import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
const NAME = 'Capacitor';
const ENABLERS = [/^@capacitor\//];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
const CONFIG_FILE_PATTERNS = ['capacitor.config.ts'];
const findCapacitorDependencies = async (configFilePath, { isProduction }) => {
    if (isProduction)
        return [];
    const localConfig = await load(configFilePath);
    if (!localConfig)
        return [];
    return localConfig.includePlugins ?? [];
};
const findDependencies = timerify(findCapacitorDependencies);
export default {
    NAME,
    ENABLERS,
    isEnabled,
    CONFIG_FILE_PATTERNS,
    findDependencies,
};
