import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
const NAME = 'Changesets';
const ENABLERS = ['@changesets/cli'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
const CONFIG_FILE_PATTERNS = ['.changeset/config.json'];
const findChangesetsDependencies = async (configFilePath, { isProduction }) => {
    if (isProduction)
        return [];
    const localConfig = await load(configFilePath);
    if (!localConfig)
        return [];
    return Array.isArray(localConfig.changelog)
        ? [localConfig.changelog[0]]
        : typeof localConfig.changelog === 'string'
            ? [localConfig.changelog]
            : [];
};
const findDependencies = timerify(findChangesetsDependencies);
export default {
    NAME,
    ENABLERS,
    isEnabled,
    CONFIG_FILE_PATTERNS,
    findDependencies,
};
