import { join } from '../../util/path.js';
import { basename } from '../../util/path.js';
import { hasDependency } from '../../util/plugin.js';
import { toEntryPattern } from '../../util/protocols.js';
const NAME = 'Mock Service Worker';
const ENABLERS = ['msw'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
const CONFIG_FILE_PATTERNS = ['package.json'];
const ENTRY_FILE_PATTERNS = ['mockServiceWorker.js'];
const findDependencies = async (configFilePath, options) => {
    const { manifest } = options;
    const localConfig = basename(configFilePath) === 'package.json' ? manifest.msw : undefined;
    const workerDirectory = localConfig?.workerDirectory ?? '.';
    return ENTRY_FILE_PATTERNS.map(pattern => toEntryPattern(join(workerDirectory, pattern)));
};
export default {
    NAME,
    ENABLERS,
    isEnabled,
    CONFIG_FILE_PATTERNS,
    ENTRY_FILE_PATTERNS,
    findDependencies,
};
