import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
const NAME = 'nyc';
const ENABLERS = ['nyc'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
const CONFIG_FILE_PATTERNS = ['.nycrc', '.nycrc.json', '.nycrc.{yml,yaml}', 'nyc.config.js'];
const findNycDependencies = async (configFilePath, options) => {
    const { isProduction } = options;
    if (isProduction)
        return [];
    const localConfig = await load(configFilePath);
    return localConfig?.extends ? [localConfig.extends].flat() : [];
};
const findDependencies = timerify(findNycDependencies);
export default {
    NAME,
    ENABLERS,
    isEnabled,
    CONFIG_FILE_PATTERNS,
    findDependencies,
};
