import { timerify } from '../../util/Performance.js';
import { hasDependency } from '../../util/plugin.js';
import { toEntryPattern } from '../../util/protocols.js';
const NAME = 'Sentry';
const ENABLERS = [/^@sentry\//];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
const ENTRY_FILE_PATTERNS = ['sentry.{client,server,edge}.config.{js,ts}'];
const findSentryDependencies = async () => {
    const entryPatterns = ENTRY_FILE_PATTERNS.map(toEntryPattern);
    return entryPatterns;
};
const findDependencies = timerify(findSentryDependencies);
export default {
    NAME,
    ENABLERS,
    isEnabled,
    ENTRY_FILE_PATTERNS,
    findDependencies,
};
